logomoneymotion
PaymentlinksRpc
background
moneymotion Docs
moneymotion Docs
Payment Links Create
POST
/rpc/PaymentLinksCreate
descriptionmaxLength(500)

a string at most 500 character(s) long

Length1 <= length <= 500
typestring
Value in"single_use" | "reusable"
intentstring
customerSourcestring
Value in"website" | "in_person" | "social_media" | "email" | "marketplace" | "referral" | "other"
lineItemsminItems(1)

an array of at least 1 item(s)

expiresAt?Date | null

Response Body

curl -X POST "https://api.moneymotion.io/rpc/PaymentLinksCreate" \  -H "Content-Type: application/json" \  -d '{    "description": "string",    "type": "single_use",    "intent": "string",    "customerSource": "website",    "lineItems": [      {        "name": "string",        "pricePerItemInCents": 0,        "quantity": 0      }    ]  }'
{
  "id": "string",
  "slug": "string"
}